Package uk.co.mccombe.terrain

# Class InfoMessage

java.lang.Object
uk.co.mccombe.terrain.InfoMessage

public class InfoMessage extends Object

## Constructor Summary

Constructors
Constructor
Description
`InfoMessage(String title, Object[] msg, Severity status)`
`InfoMessage(String title, String msg, Severity status)`

## Method Summary

Modifier and Type
Method
Description
`void`
`display(Component parent)`
`Severity`
`getSeverity()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InfoMessage

public InfoMessage(String title, Object[] msg, Severity status)

### InfoMessage

public InfoMessage(String title, String msg, Severity status)

## Method Details

### display

public void display(Component parent)

### getSeverity

public Severity getSeverity()